Bug 146863 - picttoppm omitted from netpbm-progs but manpage still there
Summary: picttoppm omitted from netpbm-progs but manpage still there
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: netpbm   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-02 08:15 UTC by Paul Howarth
Modified: 2013-07-02 23:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-11 07:02:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Paul Howarth 2005-02-02 08:15:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041020

Description of problem:
The netpbm-progs package deliberately omits the picttoppm program, apparently for security reasons (it's removed in netpbm-10.23-security.patch). However, the manpage for this program is still included, which is inconsistent.

I would suggest either, in descending order of preference:
1. if the security issue in picttoppm has been fixed upstream, reintroduce the program,
2. replace the manpage for picttoppm with one that says that it's been removed for security reasons, or
3. remove the manpage altogether.

Version-Release number of selected component (if applicable):
netpbm-progs-10.25-2

How reproducible:
Always

Steps to Reproduce:
1. man picttoppm -> tells you how to use picttoppm
2. run picttoppm -> program isn't there
  

Additional info:

Comment 1 Jindrich Novy 2005-02-03 21:14:38 UTC
Hello Paul,

although the source code of picttoppm is present within the netpbm
package, it's not built actually. Thanks for noticing this, I'll
remove picttoppm man page from netpbm and close this bug after new
netpbm release is built.

Thanks,
Jindrich 

Comment 2 Jindrich Novy 2005-03-11 07:02:32 UTC
picttoppm and other man pages without their binaries are now removed since
netpbm-10.26.4.

Jindrich


Note You need to log in before you can comment on or make changes to this bug.